# Set-RASClientPolicyOrder.md

## NAME

Set-RASClientPolicyOrder

## SYNOPSIS

Change the order of a RAS Client Policy.

## SYNTAX

**Set-RASClientPolicyOrder** \[[Id](#id-string)] *(uint)* -[Direction](#Direction) {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASClientPolicyOrder \[-[InputObject](#inputobject)] *(*[*ClientRules*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md)*)* -[Direction](#Direction) {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASClientPolicyOrder \[[Name](#name-string)] *(string)* -[Direction](#Direction) {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Changes the order of a RAS Client Policy by moving it up or down in the priority list.

## PARAMETERS

## Name (string)

The name of the RAS Client Policy.

This must be the actual name of the Client Policy used in Parallels RAS.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the RAS Client Policy.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([ClientRules](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md))

An object of type Client Policy representing the RAS Client Policy.

To obtain the object, use the Get-RASClientPolicy cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Direction ([MoveDirection](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/movedirection.md))

The direction to move the Client Policy object: Up or Down (changes the order of the Client Policy accordingly).

Possible values: Up, Down

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[ClientRules](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASClientPolicyOrder -Id 5 -Direction Up

Changes the order of the specified (by ID) RAS Client Policy (moving 1 order up).\
\*\*---------- EXAMPLE 2 ----------

Set-RASClientPolicyOrder -InputObject $ClientPolicy -Direction Down

Changes the order of the specified (by InputObject) RAS Client Policy (moving 1 order down).

## RELATED LINKS

* [Get-RASClientPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasclientpolicy.md)
* [Invoke-RASClientPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasclientpolicy.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasclientpolicyorder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
